import 'dart:async';

import 'package:flutter/material.dart';
import 'package:slick/navigation/menu_configuration.dart';
import 'package:slick/navigation/route_configuration.dart';
import 'package:slick/theme/slick_colors.dart';

///Some sort of comment
class SlickConfiguration {
  static void set({
    Widget unknownScreen,
    Widget errorScreen,
    Widget waitingScreen,
    List<RouteInfo> routes,
    RouteInfo dashboardRoute,
    List<Menu> menus,
    SlickColors colors,
    Completer<void> isAppInitialised,
  }) {
    if (unknownScreen != null) SlickConfiguration.unknownScreen = unknownScreen;
    if (errorScreen != null) SlickConfiguration.errorScreen = errorScreen;
    if (waitingScreen != null) SlickConfiguration.waitingScreen = waitingScreen;
    if (routes != null) SlickConfiguration.routes = routes;
    if (dashboardRoute != null)
      SlickConfiguration.dashboardRoute = dashboardRoute;
    if (menus != null) SlickConfiguration.menus = menus;
    if (colors != null) SlickConfiguration.colors = colors;
    if (isAppInitialised != null)
      SlickConfiguration.isAppInitialised = isAppInitialised;
  }

  static Widget unknownScreen;
  static Widget errorScreen;
  static Widget waitingScreen;

  static List<RouteInfo> routes;
  static RouteInfo dashboardRoute;
  static List<Menu> menus;

  static SlickColors colors;

  static Completer<void> isAppInitialised;
}
